<template>
  <div>
    <input
      class="inputButton"
      type="button"
      @click="handleClick"
      value="Start Game"
    />
  </div>
</template>

<script>
import { mapActions } from "vuex";
export default {
  name: "StartPageSubmit",
  methods: {
    ...mapActions(["fetchQuestions"]),

    async handleClick() {
      this.$router.push("/questions");
    },
  },
};
</script>

<style>
.inputButton {
  width: 100%;
  margin: 0px;
  margin-top: 10px;
  padding: 5px;
  background-color: rgb(144, 199, 250);
  border: 1px solid rgb(45, 121, 192);
}

.inputButton:hover {
  background-color: rgb(115, 187, 253);
}
</style>